id: com.ubports.filemanager
runtime: com.ubports.Platform
runtime-version: '5.15-23.08'
sdk: com.ubports.Sdk
command: lomiri-filemanager-app
rename-desktop-file: lomiri-filemanager-app.desktop
rename-icon: filemanager
finish-args:
  - --share=ipc
  - --share=network
  - --socket=x11
  - --socket=wayland
  - --device=dri
  - --filesystem=host
separate-locales: false
modules:
# from https://raw.githubusercontent.com/flathub/tv.kodi.Kodi/master/modules/samba/samba.json
  - name: samba
    buildsystem: simple
    build-commands:
      - ./buildtools/bin/waf configure --prefix=/app --disable-python --without-ads --without-ldap
          --without-pam --without-acl-support --without-systemd --without-ad-dc --without-json
      - ./buildtools/bin/waf build -j $FLATPAK_BUILDER_N_JOBS
      - ./buildtools/bin/waf install
    cleanup:
      - /bin
      - /libexec
      - /share
      - /include
      - /lib/*.so
    sources:
      - type: archive
        url: https://download.samba.org/pub/samba/stable/samba-4.13.4.tar.gz
        sha256: a1b34c63f7100cc8626902d80f335c7cb0b45d4707dd3c4b010f7a28ed615c78
    modules:
      - name: perl
        no-autogen: true
        config-opts:
          - -des
        post-install:
          - find $FLATPAK_DEST/lib/perl5/5.32.1/*-linux/auto/ -name \*.so -exec chmod
              u+w {} +
        sources:
          - type: archive
            url: https://www.cpan.org/src/5.0/perl-5.32.1.tar.gz
            sha256: 03b693901cd8ae807231b1787798cf1f2e0b8a56218d07b7da44f784a7caeb2c
          - type: script
            dest-filename: configure
            commands:
              - exec ./configure.gnu $@
      - name: parse-yapp
        buildsystem: simple
        build-commands:
          - perl Makefile.PL
          - make
          - make install
        sources:
          - type: archive
            url: https://cpan.metacpan.org/authors/id/W/WB/WBRASWELL/Parse-Yapp-1.21.tar.gz
            sha256: 3810e998308fba2e0f4f26043035032b027ce51ce5c8a52a8b8e340ca65f13e5
      - name: rpcsvc-proto
        sources:
          - type: archive
            url: https://github.com/thkukuk/rpcsvc-proto/releases/download/v1.4.2/rpcsvc-proto-1.4.2.tar.xz
            sha256: 678851b9f7ddf4410d2859c12016b65a6dd1a0728d478f18aeb54d165352f17c

  - name: filemanager-app
    buildsystem: cmake-ninja
    config-opts:
      - -DCLICK_MODE=OFF
      - -DINSTALL_TESTS=OFF
    post-install:
      - mkdir -p $FLATPAK_DEST/share/icons/hicolor/scalable/apps/
      - cp /app/share/lomiri-filemanager-app/filemanager.svg $FLATPAK_DEST/share/icons/hicolor/scalable/apps/
    sources:
      - type: git
        url: https://gitlab.com/ubports/apps/filemanager-app
        branch: main
      - type: patch
        path: patches/0001-filemanager-Use-ECM.patch
      - type: patch
        path: patches/filemanager-Use-QApplication-for-content-stub.patch
